Edit a tracking request
curl --request PATCH \
--url https://api.terminal49.com/v2/tracking_requests/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.terminal49.com/v2/tracking_requests/{id}"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.terminal49.com/v2/tracking_requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "tracking_request",
"attributes": {
"request_number": "ONEYSH9AME650500",
"request_type": "bill_of_lading",
"scac": "ONEY",
"created_at": "2023-11-07T05:31:56Z",
"ref_numbers": [
"<string>"
],
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"is_retrying": true,
"retry_count": 123
},
"relationships": {
"tracked_object": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "shipment"
}
},
"customer": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "party"
}
}
}
}
}Tracking Requests
Edit a tracking request
Update an existing tracking request in the Terminal49 API, including its associated party reference, customer metadata, and operator-managed fields.
PATCH
/
tracking_requests
/
{id}
Edit a tracking request
Authorizations
Use a Terminal49 API key in the Authorization header with the Token prefix.
Authorization: Token YOUR_API_KEY
Path Parameters
Tracking Request ID
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
โI